# Getting Started

## Parallels Remote Application Server Requirements

Parallels RAS PowerShell requires 'Connection Broker' component of a matching version to communicate with.

## Microsoft Windows Component Requirements

The following components must be installed on the computer where you'll be executing Parallels RAS PowerShell cmdlets:

* Windows PowerShell 3.0 or higher
* Microsoft .NET Framework 4.5.2 or higher

## Basic Concepts

To get started with Parallels RAS PowerShell, complete the following steps:

1. Open the Windows PowerShell console.
2. In the console, type the following command to import the Parallels RAS PowerShell module:

   Import-Module RASAdmin
3. Create a Parallels RAS session by executing the [New-RASSession](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/index.html#New-RASSession) cmdlet. Substitute the server name (in quotes) with the name or IP address of your Parallels RAS Licensing Server. Type your RAS administrator username and password when prompted.

   New-RASSession -Server "server.company.dom"
4. Execute the following cmdlet to see the list of cmdlets included in the Parallels RAS PowerShell module:

   Get-Command -Module RASAdmin
5. Execute other cmdlets. For example, try executing the [Get-RASGateway](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/index.html#Get-RASGateway) cmdlet to retrieve information about RAS Secure Gateway(s). The example below returns information about all RAS Secure Gateways available in the RAS Licensing Server site:

   Get-RASGateway
6. To see help for a cmdlet, execute Get-Help passing a cmdlet name:

   Get-Help Get-RASGateway

   To apply changes you've made to the farm configuration, use the [Invoke-RASApply](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/index.html#Invoke-RASApply) cmdlet:

   Invoke-RASApply

   To activate a Parallels RAS license, use [Invoke-RASLicenseActivate](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/index.html#Invoke-RASLicenseActivate):

   Invoke-RASLicenseActivate

   When executing the cmdlet above, you'll be prompted to enter your Parallels My Account email address and password. Passing a license key (the -Key parameter) is optional. If omitted (as in the example above), Parallels RAS is activated as a trial.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/getting-started.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
